# noob's nerd notifier (n^3)

## about the circuit

The circuit was inspired and is adapted from "The Nanite 85" (https://cpldcpu.wordpress.com/2014/04/25/the-nanite-85/). 

Bill of Materials:

| amount | material             |
| ------ | -------------------- |
| 1      |  ATtiny85            |
| 2      | Zener Diode 3v6      |
| 2      | Resistor 68 Ohm      |
| 1      | Resistor 1.5 kOhm    |
| 1      | Capacitor 100n F     |
| 1      | LED type PL9823-F5   |

## about the firmware

The firmware utilizes 2 projects:
 * v-usb (https://github.com/obdev/v-usb) as driver for usb
 * micronucleus (https://github.com/micronucleus/micronucleus) as bootloader (optional)

The firmware listens to control transfers and interprets each successful 
transfer as information for colors.

# about the host software

The host software uses libusb (http://libusb.info/) and the pyusb (https://walac.github.io/pyusb/) module to send the neccessary control transfers.

## allow users access to device

You can add the following line to **/lib/udev/rules.d/991-local.rules** and reload with 
**udevadm control --reload-rules** to grant everyone write access to all devices from 16c0:05dc:
```
SUBSYSTEMS=="usb", ATTRS{idVendor}=="16c0", ATTRS{idProduct}=="05dc", MODE="0666"
```
